#!/usr/bin/make -f

DATAPATH = /usr/share/games/jazz-jackrabbit/

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CPPFLAGS_MAINT_APPEND = -DHOMEDIR -DDATAPATH=\"$(DATAPATH)\"
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		bindir=/usr/games

override_dh_auto_install:
	dh_auto_install -- \
		pkgdatadir="$(DATAPATH)"

override_dh_install:
	sed -e "/^Name/s/$$/ Holiday Hare '95/" \
	    -e "/^Exec/s/$$/ \/usr\/share\/games\/jazz-jackrabbit-hh95/" \
	    -e "$$ a TryExec=/usr/share/games/jazz-jackrabbit-hh95/jazz-jackrabbit" \
	    < $(CURDIR)/unix/OpenJazz.desktop \
	    > $(CURDIR)/debian/OpenJazz-HH95.desktop
	dh_install debian/OpenJazz-HH95.desktop usr/share/applications

override_dh_installman:
	pod2man unix/OpenJazz.6.pod > debian/OpenJazz.6
	dh_installman debian/OpenJazz.6
